package cn.muchinfo.rma.global.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import cn.muchinfo.rma.global.data.database.BannerEntity

@Dao
interface BannerDao{

    @Query("SELECT * FROM BANNER")
    fun getBannerList(): List<BannerEntity>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insertBanner(banners: List<BannerEntity>)

    @Query("DELETE FROM BANNER")
    fun deleteBannerAll()

}